//##protect##"FileHeader"
/** @file Utils.h
 *
 *  @authors S. Beuque, C. Guinot, J. Krauth, N. Reibel, J. Rose, L. Sartory, S. Weber
 *  @date    Creation: 05.12.2012
 *  @date    $LastChangedDate: 2013-02-15 13:44:41 +0100 (Fr, 15. Feb 2013) $
 *  @version $LastChangedRevision: 3857 $
 *
 *  @par DESCRIPTION
 *  Miscellaneous sample utilities header 
 *
 *  @par LICENCE
 *  @verbatim
 *  Copyright (C) 2009 - 2012 ADDI-DATA GmbH
 *
 *  ADDI-DATA GmbH
 *  Airpark Business Center
 *  Airport Boulevard B210
 *  77836 Rheinmnster
 *  Germany
 *  Tel: +49(0)7229/1847-0    |  Fax: +49(0)7229/1847-200
 *  http://www.addi-data-com  |  info@addi-data.com
 *  @endverbatim
 **/
//##protect##"FileHeader"

#ifndef __UTILS_H__
#define __UTILS_H__

void v_Utils_InterruptRoutine(HANDLE h_DeviceHandle, BYTE b_FifoOverflow, DWORD dw_InterruptSource, DWORD dw_InterruptMask, PDWORD pdw_Args, DWORD dw_ArgsCount);
_INT_ i_Utils_OpenBoard(HANDLE *ph_BoardHandle);
_LONGLONG_ ll_Utils_ReadInteger(LONGLONG l_MinValue, LONGLONG l_MaxValue, PCHAR pc_Description, ...);
_VOID_ v_Utils_DisplayRunningStatus();

//##protect##"AdditionalFunctionPrototypes"
//##protect##"AdditionalFunctionPrototypes"

#endif // __UTILS_H__
